Skip to main content

List role's entitlements

GET 

/roles/v2/:id/entitlements

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Get a list of entitlements assigned directly to a specified Role. Each entitlement includes its privilege level in privilegeLevel, with the direct, inherited, and effective levels.

Use either offset pagination (offset and limit) or cursor pagination (cursor and limit). When more results are available, the x-next-cursor response header contains the cursor for the next page. You can't use cursor together with an offset greater than 0, and offset plus limit can't be greater than 10,000.

Request​

Responses​

List of entitlements.

Response Headers
    x-total-count

    The total result count (returned only if the count parameter is specified as true).

    Example: 12
    x-next-cursor

    Opaque cursor for the next page of results. Returned only when more results are available. Pass it in the cursor query parameter to get the next page.

    Example: eyJzb3J0IjpbImNyZWF0ZWQiLCJpZCJdLCJzZWFyY2hBZnRlciI6WyIxNjAyMTgyMDMyMDI5IiwiMmM5MSJdfQ